package com.fs.pay.pay.service;


import com.fs.pay.pay.domain.*;
import com.fs.pay.pay.dto.*;

public interface PayService {
    /**
     * 创建微信订单
     * @param wxJspayDTO 微信订单DTO
     * @return 创建微信订单的结果
     */
    CreateWxOrderResult createWxOrder(WxJspayDTO wxJspayDTO);

    /**
     * 获取订单信息
     * @param orderQueryDTO 订单查询DTO
     * @return 订单查询结果
     */
    OrderResult getOrder(OrderQueryDTO orderQueryDTO);


    /**
     * 退款
     * @param refundDTO 退款DTO
     * @return 退款结果
     */
    RefundResult refund(RefundDTO refundDTO);

    /**
     * 获取退款订单信息
     * @param refundOrderDTO 退款订单查询DTO
     * @return 退款订单查询结果
     */
    QueryRefundResult getRefundOrder(RefundOrderDTO refundOrderDTO);
    /**
     * 创建支付宝订单
     * @param zfbJspayDTO 支付宝订单DTO
     * @return 创建支付宝订单的结果
     */
    CreateZfbOrderResult createZfbOrder(ZfbJspayDTO zfbJspayDTO);

    /**
     * 获取退款信息列表
     * @param refundOrderListDTO 退款订单列表查询DTO
     * @return 退款订单列表查询结果
     */
    QueryRefundListResult getRefundOrderList(RefundOrderListDTO refundOrderListDTO);
}

